POST /api/v3/savings/meter/{meterId}/bill/{billId}/manualadjustment

Creates or removes manual adjustments to savings for a provided meter and bill

ManualAdjustmentV3 Permissions: ManuallyAdjustSavings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
meterId The meter for which the manual adjustment is being made integer (int32) Required
billId The bill for which the manual adjustment is being made integer (int32) Required

Request Body

ManualAdjustmentRequest
Property Description Type
batccCost The manually adjusted Baseline Adjusted to Current Conditions (BATCC) cost Required when locked is set to True, case sensitive. number (double)
batccNativeUse The manually adjusted Baseline Adjusted to Current Conditions (BATCC) native use Required when locked is set to True, case sensitive. number (double)
billMtrNote The manual adjustment note explaining the reason for the adjustment Required string
locked Indicates whether or not the values in a savings record are locked (this is not changed by future runs of the savings processor) Set to true when a manual adjustment is being created. Set to false when a manual adjustment is being removed. If locked is set to false, all other values are ignored and will be set by the savings processor. Required boolean
Example Request Body application/json
{  "batccCost": 1.0,  "batccNativeUse": 1.0,  "billMtrNote": "string",  "locked": false
}

Responses

204 No Content The request succeeded. No content is returned in the response body.